program align3
  use sep
  implicit none
  integer                               :: n1,n2
  real                                  :: o1,d1,o2,d2,start,quit
  integer                               :: i1,i2,begin,leave,mm,nn
  real, allocatable, dimension(:,:)     :: input, output, other,W
 real, allocatable, dimension(:)        :: shift
 

  call sep_init()

  call from_history("n1", n1)
  call from_history("o1", o1)
  call from_history("d1", d1)
  call from_history("n2", n2)
  call from_history("o2", o2)
  call from_history("d2", d2)

  call to_history("n1", n1)
  call to_history("o1", o1)
  call to_history("d1", d1)
  call to_history("n2", n2)
  call to_history("o2", o2)
  call to_history("d2", d2)

  allocate(input(n1,n2), other(n1,n2), output(n1,n2), shift(n2))
  !W is the data file to be shifted
  
  call from_param("start", start)
  call from_param("quit", quit)

begin=start*2*n1
leave=quit*2*n1


!Other: the event window to be shifted 
  call sep_read(input)
  call sep_read(other,"aux")

do mm=1,n2
do nn=1,n1
output(nn,mm)=other(nn,mm)  !the auxiliary file is the one that will be shifted
end do
end do

	do i2=1,n2
	do i1=begin,leave
           shift(i2) = MAXLOC(input(begin:leave,i2),1)-MAXLOC(other(begin:leave,i2),1)
   output(i1,i2)=output(i1-shift(i2),i2)
   
   end do
   end do
   
  call sep_write(output)

  call sep_close()

end program
